<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-searchbar mode="ios" placeholder="Search territories" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item button="true" *ngFor="let territory of territories" (click)="select(territory)">
      <ion-label>
        <h2>{{territory.TerritoryName}}</h2>
        <p>Area: {{territory.AreaName}}</p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>